TestBean (Struts Apps - Cookbook 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples
Class TestBean

    java.lang.Object
      examples.TestBean

All Implemented Interfaces:
  Serializable

    public class TestBean

extends Object
implements Serializable

An example bean for Bean Examples

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
See Also:
  Serialized Form

Constructor Summary
`TestBean()` Constructor for TestBean.

Method Summary
`Date` | `getDateValue()` Returns the dateValue.
`double` | `getDoubleValue()` Returns the doubleValue.
`float` | `getFloatValue()` Returns the floatValue.
`int` | `getIntValue()` Returns the intValue.
`long` | `getLongValue()` Returns the longValue.
`short` | `getShortValue()` Returns the shortValue.
`String` | `getStringValue()` Returns the stringValue.
`boolean` | `isBooleanValue()` Returns the booleanValue.
`void` | `setBooleanValue(boolean booleanValue)` Sets the booleanValue.
`void` | `setDateValue(Date date)` Sets the dateValue.
`void` | `setDoubleValue(double doubleValue)` Sets the doubleValue.
`void` | `setFloatValue(float floatValue)` Sets the floatValue.
`void` | `setIntValue(int intValue)` Sets the intValue.
`void` | `setLongValue(long longValue)` Sets the longValue.
`void` | `setShortValue(short shortValue)` Sets the shortValue.
`void` | `setStringValue(String stringValue)` Sets the stringValue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestBean

    public TestBean()

  Constructor for TestBean.

Method Detail

### isBooleanValue

    public boolean isBooleanValue()

  Returns the booleanValue.

  Returns:
    boolean

### getDoubleValue

    public double getDoubleValue()

  Returns the doubleValue.

  Returns:
    double

### getFloatValue

    public float getFloatValue()

  Returns the floatValue.

  Returns:
    float

### getIntValue

    public int getIntValue()

  Returns the intValue.

  Returns:
    int

### getLongValue

    public long getLongValue()

  Returns the longValue.

  Returns:
    long

### getShortValue

    public short getShortValue()

  Returns the shortValue.

  Returns:
    short

### getStringValue

    public String getStringValue()

  Returns the stringValue.

  Returns:
    String

### setBooleanValue

    public void setBooleanValue(boolean booleanValue)

  Sets the booleanValue.

  Parameters:
    `booleanValue` - The booleanValue to set

### setDoubleValue

    public void setDoubleValue(double doubleValue)

  Sets the doubleValue.

  Parameters:
    `doubleValue` - The doubleValue to set

### setFloatValue

    public void setFloatValue(float floatValue)

  Sets the floatValue.

  Parameters:
    `floatValue` - The floatValue to set

### setIntValue

    public void setIntValue(int intValue)

  Sets the intValue.

  Parameters:
    `intValue` - The intValue to set

### setLongValue

    public void setLongValue(long longValue)

  Sets the longValue.

  Parameters:
    `longValue` - The longValue to set

### setShortValue

    public void setShortValue(short shortValue)

  Sets the shortValue.

  Parameters:
    `shortValue` - The shortValue to set

### setStringValue

    public void setStringValue(String stringValue)

  Sets the stringValue.

  Parameters:
    `stringValue` - The stringValue to set

### getDateValue

    public Date getDateValue()

  Returns the dateValue.

  Returns:
    java.util.Date

### setDateValue

    public void setDateValue(Date date)

  Sets the dateValue.

  Parameters:
    `date` - The date to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.